Thinkpad T61p hardlock flashing caps lock

Bug #300693 reported by Jamin W. Collins on 2008-11-21
92
This bug affects 15 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned
Nominated for Intrepid by Jamin W. Collins
Declined for Jaunty by Brian Murray
Nominated for Karmic by LinuxLars
Nominated for Lucid by Sebastian Haselbeck

Bug Description

Since upgrading to Intrepid (8.10), I've noticed an apparent increase in system lockups. In each case the screen freezes and the caps lock indicator is flashing.

I've seen a few other reports indicating similar problems and most seem to have some relation to the use of wireless. This system is normally connected only via wireless. There doesn't seem to be any pattern to when the system will or won't lockup. Sometimes I'm able to go a few days, sometimes only an hour (or less).

Checked /var/log/kern.log.0 for any useful information, I didn't find any, but will attach the logs just incase.

This has not been resolved as of jaunty alpha 6 release.

Jamin W. Collins (jcollins) wrote :
Jamin W. Collins (jcollins) wrote :
Jamin W. Collins (jcollins) wrote :
Jamin W. Collins (jcollins) wrote :
Jamin W. Collins (jcollins) wrote :

This is definitely a problem in 8.10. It appears to be related to the Intel GM965 wireless chip. I've had to roll back to 8.04.

Any tips on how to help troubleshoot this? There's nothing in the logs.

1 comments hidden view all 119 comments
Jamin W. Collins (jcollins) wrote :

It's not just the Intel GM965, if you check the logs I uploaded you'll see that I've got the Atheros Communications Inc. AR5212 802.11abg NIC.

I've even changed the driver from the stock to the ath_pci and ath_hal to ath5k and I'm still seeing the lockups (though far less frequently).

Victor (psycovic) wrote :

I second this problem (also with t61p). I can't seem to find a pattern of when it locks up, but all of a sudden, everything stops and the caps lock key blinks.

Same here - or at least in parts. I'm using a T61 running Ubuntu 8.10 and it might be the wireless as I saw this in /var/log/kern.log:

Jan 3 18:46:03 nachos kernel: [109731.412111] rix 2570 (0) bad ratekbps 0 mode 1
Jan 3 20:48:04 nachos kernel: [117052.383000] rix 2570 (0) bad ratekbps 0 mode 1
Jan 3 20:48:04 nachos kernel: [117052.383029] rix 2570 (0) bad ratekbps 0 mode 1
Jan 3 21:04:08 nachos kernel: [118015.799314] wifi0: rx FIFO overrun; resetting
Jan 4 15:14:17 nachos kernel: Inspecting /boot/System.map-2.6.27-9-generic
Jan 4 15:14:17 nachos kernel: Cannot find map file.
Jan 4 15:14:17 nachos kernel: Loaded 70551 symbols from 98 modules.
Jan 4 15:14:17 nachos kernel: [ 0.000000] Initializing cgroup subsys cpuset

Could the 'wifi0: rx FIFO overrun; resetting' be the issue? I looked back a few reboots further and didn't see this string again.

This seems to be your common last gasp:

Nov 19 09:52:27 thinkpad kernel: [ 4534.680479] RPC: Registered udp transport module.
Nov 19 09:52:27 thinkpad kernel: [ 4534.680496] RPC: Registered tcp transport module.
Nov 19 09:55:00 thinkpad kernel: [ 4687.998703] ip6_tables: (C) 2000-2006 Netfilter Core Team
Nov 19 09:56:12 thinkpad kernel: Inspecting /boot/System.map-2.6.27-7-generic
Nov 19 09:56:12 thinkpad kernel: Cannot find map file.
Nov 19 09:56:12 thinkpad kernel: Loaded 73443 symbols from 113 modules.
Nov 19 09:56:12 thinkpad kernel: [ 0.000000] Initializing cgroup subsys cpuset
Nov 19 09:56:12 thinkpad kernel: [ 0.000000] Initializing cgroup subsys cpu

It must be a kernel panic.

Jamin W. Collins (jcollins) wrote :

I think you may be on to something with the overrun. I just checked my logs for last night (had a lockup overnight) and found an overrun entry in them.

This is definitely related to the wireless drivers.

I disabled wireless, and connected my X61s directly to the modem. It's been up now for 2 days and 14 hours.

Using the wireless, it will lock up within a few hours.

I've heard this is fixed in the alpha release of jaunty.
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/303276

Is there a solution for 8.10?

Jamin W. Collins (jcollins) wrote :

Finally managed to get the system to lockup while I had a USB serial console attached. However, there was no output on the serial console of any kind. In fact there hasn't been any output on the serial console other than the login prompt at all. Perhaps I'm not setting it up quite right?

j3f0 (tevelized) wrote :

I have had this problem ever since a fresh install of 8.10 I'm using an asus m70vm-c1 with dual hard drives vista on first hardrive ubuntu on the second. every third or fourth boot it fails completely and the caps lock indicator blinks, the logs show continues failed initilization of iwglan the wireless card is an intel 5100 agn. This has been keeping me from using ubuntu as it's such an ungodly hassle. I've had numerous boot related issues with this install. A solution to this problem would be HUGE.

I've never had it crash on me after it's booted but the wireless card often doesn't initialize properly after boot and I have to stop/start network manager in order to get it up and working. Once it works it runs forever, seemingly I've had it on for more than 36 hours at a time. standby doesn't work right either otherwise the up time would probably be longer, for some reason it doesn't turn the back light on the screen on again after going into standby mode.

Jamin W. Collins (jcollins) wrote :

@Aavery any chance you'd be able to give 8.04.1 a shot on that hardware? I ask because I had 8.04.1 on this T61p and didn't experience nearly as many lockups and I'm wondering if others can replicate the same results.

yeah, I'll give it a try tommorow or friday, works pretty slow as of late so
I've got a bit of free time.

On Wed, Jan 14, 2009 at 2:15 PM, Jamin W. Collins <<email address hidden>
> wrote:

> @Aavery any chance you'd be able to give 8.04.1 a shot on that hardware?
> I ask because I had 8.04.1 on this T61p and didn't experience nearly as
> many lockups and I'm wondering if others can replicate the same results.
>
> --
> Thinkpad T61p hardlock flashing caps lock
> https://bugs.launchpad.net/bugs/300693
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Aavery Mundt
<email address hidden>
Home phone 12076361282
Work phone 12076519818
AIM: minimundt
open office 3.0 now available
www.openoffice.org

j3f0 (tevelized) wrote :

Okay, there are a couple of issues at work here and the following bug

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/256629

sheds some small amount of light on the subject.

I didn't install 8.04 originally because kernel 2.6.24 does not support the intel 5100/5300 wireless chipsets.
I've installed 8.04.1 but due to it running kernel 2.6.24 the wireless does not work. However, I don't have any of the boot related issues that I've had with 8.10 usplash doesn't cause a horrible beeping noise. and since the wireless card doesn't work no bootstrap failures. iwlagn seems to be the problem. from the other bug report it seems that there may be a conflict between nvidia 177 driver which I'm using due to using a geforce 9600m gs card. I'll disable it and see what happens and get back to you on this. there's some other unsupported components in my computer under 2.6.24 as well to bad they didn't use 2.6.26.

j3f0 (tevelized) wrote :

as it turns out I have a conflict issue between iwlagn and nvidia 177 proprietary driver. which is causing my problem. I've disabled the driver and now the problem has gone away, still looking for a work around.

Some more searching provided this URL:

http://agiletesting.blogspot.com/2008/11/issues-with-ubuntu-810-on-lenovo-t61p.html

Cut from there:

System lock-ups with Intel 4965 wireless

The version of the iwlagn wireless driver for Intel 4965 wireless chipsets included in Linux kernel version 2.6.27 causes kernel panics when used with 802.11n or 802.11g networks. Users affected by this issue can install the linux-backports-modules-intrepid package, to install a newer version of this driver that corrects the bug. (Because the known fix requires a new version of the driver, it is not expected to be possible to include this fix in the main kernel package.)

As recommended, I did 'apt-get install backports-modules-intrepid' and I rebooted. That was around 1 hour ago, and I haven't seen any issues since. Hopefully that was it. BTW, when the Caps Lock light blinks, it means 'kernel panic'. Who knew.

Jamin W. Collins (jcollins) wrote :

I'm guessing the article means:

sudo apt-get install linux-backports-modules-intrepid

Sorry, I just realized that the problem they refer to is regarding a
different chip-set. They have the Intel 4965 and I have a Atheros 5212.
You can tell by doing this in a terminal:

mike@nachos:~$ lspci
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory
Controller Hub (rev 0c)
00:01.0 PCI bridge: Intel Corporation Mobile PM965/GM965/GL960 PCI Express
Root Port (rev 0c)
...

01:00.0 VGA compatible controller: nVidia Corporation Quadro NVS 140M (rev
a1)
03:00.0 Ethernet controller: Atheros Communications Inc. AR5212 802.11abg
NIC (rev 01)

So I'll keep looking.

             -Mike

On Thu, Jan 15, 2009 at 6:27 PM, Jamin W. Collins <<email address hidden>
> wrote:

> I'm guessing the article means:
>
> sudo apt-get install linux-backports-modules-intrepid
>
> --
> Thinkpad T61p hardlock flashing caps lock
> https://bugs.launchpad.net/bugs/300693
> You received this bug notification because you are a direct subscriber
> of the bug.
>

j3f0 (tevelized) wrote :

I think that this is a version issue with iwglan

here is my mobile wireless chip config

03:00.0 Network controller [0280]: Intel Corporation Wireless WiFi Link 5100 [8086:4232]
 Subsystem: Intel Corporation Device [8086:1201]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 32 bytes
 Interrupt: pin A routed to IRQ 2296
 Region 0: Memory at fdffe000 (64-bit, non-prefetchable) [size=8K]
 Capabilities: <access denied>
 Kernel driver in use: iwlagn
 Kernel modules: iwlagn
However, in my instance the panic is caused by some sort of interference with the nvidia driver 177. once I disabled it it stopped. When I orignally installed 8.10 I was able to boot into the preview system but couldn't install direct from the CD without causing a kernel panic which started at iwlagn tcp check. if I can make it do the same thing again I'll try and snap a photo. I'm guessing since this bug appears so many times in so many variants they are all related.

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/276990 this bug shows about half dozen duplicates. but it's pretty similar to the one we're describing.

Jamin W. Collins (jcollins) wrote :

Not sure which of the changes did it, but so far my laptop has gone the entire weekend without a kernel panic, which since upgrading to 8.10 is something of an achievement.

The changes I've made:
- currently using the ath5k module
- upgraded to the linux-backports-modules-intrepid package (2.6.27.9.13)
- upgraded to the nvidia-glx-180 package (180.11-0ubuntu1~intrepid1)

The only remaining annoyance is that network traffic seems to pause every so often which can make VoIP calls from the laptop a little annoying. However, it's considerably better than the laptop spontaneously kernel panicking.

Jamin W. Collins (jcollins) wrote :

Seems I spoke too soon. Just had another lockup this morning.

j3f0 (tevelized) wrote :

I tried a bunch of different configurations. still using iwlwifi.5000
"can't remember the rest of it at the moment I'm doing some cadd work so I'm
in windows atm. its the 5000 chip set series loader for iwlagn.

at any rate I installed ubuntu 8.10 32bit with great success many fewer
issues. installed nvidia-glx 180 180.22 specifically.
all was fine for about a half dozen boot cycles. then all of a sudden kernel
panic. it seems to be stopping when it loads up the 5100 chipset. this is
an integrated agn and bluetooth set which once booted works flawlessly. I
am no longer getting the same errors that I was during boot and it also
solves the horrible boot up beeping caused by usplash from the 64bit install
this is an officially filed bug and affects the 1530 xps as well as a few
other laptops running 64 bit configs. but it's a bit slower. I still
haven't been able to reinitialize my nvidia drivers. ANY of them under my 64
bit install, and also it appears that the two installs are interacting
strangly.

@Jamin W. Collins
what is your video configuration? i.e. what is your hardware and what driver
are you using? your lock ups from what you said are happening post boot?
my kernel panics have all happened during boot. specifically during
initialization of my iwlagn and bluetooth. However, after they initialize
is when x should load so it may be an x issue due to nvidia.

James Ward (jamesward) wrote :

I'm also having this problem. It seems to only happens on some wireless routers.

I have a Lenovo W500 with an Intel 5100.

The lock-ups / kernel panics only happen when I'm using the iwlagn driver.

Other than a serial console is there some way to find out what caused a kernel panic?

Steve Zemanek (steve-zemanek) wrote :

i've noticed similar hardware lockups, but it usually happens when i'm running virtualbox, i just installed a big batch of updates, including kernel updates, and i can't figure out which update caused this problem

kngunn (kevin-kevingunn) wrote :

I was seeing the problem with Intrepid but thought it was fixed in Jaunty. Reproduced it last night on Jaunty (up-to-date build as of Friday Feb. 13, 2009). Lenovo Thinkpad T61p. I saw it on my home system (Apple Time Capsule router) but have not reproduced it on the wireless at work (Cisco WEP encryption).

I suspect it's a problem with the driver and WPA.

Jamin W. Collins (jcollins) wrote :

kngunn wrote:
>
> I suspect it's a problem with the driver and WPA.

I've reproduced it on a non-WEP/WPA network and WPA networks. The real
kicker is that I can't seem to get a kernel oops even with a serial
console. Yet the system indication (flashing caps lock) is that of a
kernel oops. From what I can tell it has to do with receiving very
large amounts of data. However, the amount of data alone isn't the key.
 I've spent entire days loop sending various ISOs over the link and then
pulling the ISOs without triggering it.

A thought just occurred to me. If I'm not mistaken, this problem has
been seen with various Thinkpads with different wireless chipsets.
However, regardless of which wireless chipset the unit has they all
probably have the same sound chipset. At least on mine, wireless and
sound share the same IRQ. Could those of you experiencing this problem
please confirm or deny that your wireless is sharing an IRQ and what it
is sharing the IRQ with?

 17: 4917032 4911870 IO-APIC-fasteoi uhci_hcd:usb5, ohci1394,
wifi0, HDA Intel

--
Jamin W. Collins

I've got a more linux savvy friend who told me that Ubuntu doesn't load the
package for getting an oops by default. I haven't looked into it further,
but if this is true, then it would explain the lack of an oops.

Tell me what to type at a shell prompt and I'll tell you about the IRQ. :-)

          -Mike

On Mon, Feb 16, 2009 at 11:17 AM, Jamin W. Collins <
<email address hidden>> wrote:

> kngunn wrote:
> >
> > I suspect it's a problem with the driver and WPA.
>
> I've reproduced it on a non-WEP/WPA network and WPA networks. The real
> kicker is that I can't seem to get a kernel oops even with a serial
> console. Yet the system indication (flashing caps lock) is that of a
> kernel oops. From what I can tell it has to do with receiving very
> large amounts of data. However, the amount of data alone isn't the key.
> I've spent entire days loop sending various ISOs over the link and then
> pulling the ISOs without triggering it.
>
> A thought just occurred to me. If I'm not mistaken, this problem has
> been seen with various Thinkpads with different wireless chipsets.
> However, regardless of which wireless chipset the unit has they all
> probably have the same sound chipset. At least on mine, wireless and
> sound share the same IRQ. Could those of you experiencing this problem
> please confirm or deny that your wireless is sharing an IRQ and what it
> is sharing the IRQ with?
>
> 17: 4917032 4911870 IO-APIC-fasteoi uhci_hcd:usb5, ohci1394,
> wifi0, HDA Intel
>
> --
> Jamin W. Collins
>
> --
> Thinkpad T61p hardlock flashing caps lock
> https://bugs.launchpad.net/bugs/300693
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Jamin W. Collins (jcollins) wrote :

SlaveToSoftware wrote:
> I've got a more linux savvy friend who told me that Ubuntu doesn't load the
> package for getting an oops by default. I haven't looked into it further,
> but if this is true, then it would explain the lack of an oops.
>
> Tell me what to type at a shell prompt and I'll tell you about the IRQ.
> :-)

$ cat /proc/interrupts

Any details on what is missing for the oops would be greatly appreciated.

--
Jamin W. Collins

Here's my IRQ currently:

 17: 6883924 6846532 IO-APIC-fasteoi uhci_hcd:usb5, wifi0, HDA
Intel

I'll ask him for more details.

              -Mike

On Mon, Feb 16, 2009 at 12:19 PM, Jamin W. Collins <
<email address hidden>> wrote:

> SlaveToSoftware wrote:
> > I've got a more linux savvy friend who told me that Ubuntu doesn't load
> the
> > package for getting an oops by default. I haven't looked into it
> further,
> > but if this is true, then it would explain the lack of an oops.
> >
> > Tell me what to type at a shell prompt and I'll tell you about the IRQ.
> > :-)
>
> $ cat /proc/interrupts
>
> Any details on what is missing for the oops would be greatly
> appreciated.
>
> --
> Jamin W. Collins
>
> --
> Thinkpad T61p hardlock flashing caps lock
> https://bugs.launchpad.net/bugs/300693
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Gary (gcoleman10) wrote :

fwiw, I'm a CentOS, T61p user and have the same issue. I've done some yum updates within the past month, changed some video settings, tried updating the video drivers and probably some other things where now if I switch from wireless at home to wired\wireless at work, I get the caps lock blinking and freeze. I often go in and out of suspend.

Linux localhost.localdomain 2.6.18-92.1.22.el5 #1 SMP Tue Dec 16 12:03:43 EST 2008 i686 i686 i386 GNU/Linux

#lspci |grep 4965
03:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN Network Connection (rev 61)

# lspci |grep nVidia
01:00.0 VGA compatible controller: nVidia Corporation Quadro FX 570M (rev a1)

# cat /proc/interrupts
           CPU0 CPU1
  0: 1612898 616637 IO-APIC-edge timer
  1: 513 4 IO-APIC-edge i8042
  8: 11 0 IO-APIC-edge rtc
  9: 39581 254 IO-APIC-level acpi
 12: 33642 76655 IO-APIC-edge i8042
 14: 19120 60 IO-APIC-edge ide0
 74: 2 0 IO-APIC-level ehci_hcd:usb2
 82: 215 16129 IO-APIC-level uhci_hcd:usb6, HDA Intel
 90: 0 0 IO-APIC-level uhci_hcd:usb7, sdhci:slot0
 98: 52042 9769 PCI-MSI ahci
106: 138592 0 PCI-MSI iwl4965
114: 5431 0 PCI-MSI eth1
169: 3016 19 IO-APIC-level yenta, uhci_hcd:usb5, nvidia
177: 142 29 IO-APIC-level uhci_hcd:usb3
185: 0 0 IO-APIC-level uhci_hcd:usb4
193: 11 1 IO-APIC-level ehci_hcd:usb1
NMI: 0 0
LOC: 2229380 2212855
ERR: 0
MIS: 0

I don't have any /var/log/kern.log* files
I have a dlink wireless n network at home using WPA2.
/var/log/messages has nothing logged at the time of these events. I don't see anything in dmesg, but I don't understand it too well either. I wish I knew how to better log these lock ups.

Best of luck to my fellow linux\thinkpad users!

I found out more about Ubuntu not installing kerneloops by default. It sounds like they will in the future, which is good. Especially if they get sent into kerneloops.org for tracking.

Unfortunately, I've used the synaptic package manager and installed kerneloops but still don't get any more details about the panic. :-(

I'm not sure how to get any information about what is causing this kernel panic - and it's happening about once a day.

            -Mike

NThunberg (niklas-thunberg) wrote :

I'm not sure if this comment helps anything but I'm using a T40 with an PCMCIA ASUS Wireless. My hangs only occurs when waking up from suspend. It also seems that the Kernel Panic only occurs with Wireless attached, either at suspend or wake-up.

This, from my end, seems to more indicate a problem with ACPI Events. Everything worked perfectly with Gutsy and Hardy, not a single panic. I have also tried pure breed Debian Etch and Lennie and they too works without panics.

I saw a previous post pointing towards Intel Graphics but T40 uses a Radeon Mobility 7500 so I don't think that's the problem either.

As I said, I'm sure this will help anything but I'm leaning towards something in the ACPI Event handlers.
  -Niklas

Thiago Teixeira (tvst) wrote :

Just a "me too" report here:
- Since 8.10 I've had kernel panics every few days on this machine
- No kernel oops reports are sent at any point
- I do not suspend/hybernate
- Thinkpad T60, Atheros card

I've booted right now, because my HD got corrupted after a kernel panic and I can't boot into Linux. I'm downloading a LiveCD to fix it :-/ When I'm done I'll post my "cat /proc/interrupts"

Thiago Teixeira (tvst) wrote :

^^ Meant to say "I've booted into Windows right now"

Also see https://bugs.launchpad.net/ubuntu/+source/linux/+bug/303276 - looks like the same issue.

This is a deal breaker for me. I'm on 8.10 until it's resolved - have to get my work done.

If there's any way I can help resolve this, let me know.

description: updated
j3f0 (tevelized) wrote :

similar bug relating to wireless and Nvidia still not resolved in juanty
alpha 6 or 8.10 when Nvidia and iwlagn are used together in concert with
nvidia geforce 9600gs and intel 5100 agn causes intermittent kernel panic on
boot "flashing caps lock = kernel panic" with no coresponding kernel opps
output. and or causes failure of iwlagn driver and networkManager. if any
of the above are disabled all other functions/ features work. perhaps this
info could help in trouble shooting.

check this bug report to see if it relates to this problem
https://bugs.launchpad.net/bugs/329927

Any news on a fix for this?

This is a complete show-stopper for me, in both 8.04 and Jaunty. Can't have a production box seizing up randomly...

Second question, Launchpad related - Why is the status on this still New/Undecided? How do we bring this to the attention of the gurus?

I'd love to help however I can - just no other ideas what to do.

Thanks.

affects: linux-meta (Ubuntu) → linux (Ubuntu)
Andy Whitcroft (apw) on 2009-05-08
Changed in linux (Ubuntu):
importance: Undecided → High
status: New → Triaged
39 comments hidden view all 119 comments
Peter B P (peterbp) wrote :

None here either - so far.

Thiago Teixeira (tvst) wrote :

Weird:
I replaced my HD as mentioned earlier, and the lockups stopped.
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/300693/comments/55

Now, 4 months later, my lockups are suddenly back. They have been happening a few times a week now, for the past month or so. Could they be due to some kind of HD corruption? Some Ext3 bug? Can anyone confirm whether a clean install "fixes" the problem?

At this point I would rule out the wifi card (there are reports with both Intel and Atheros) and the display adapter (there are reports with NVidia and ATI/AMD).

My system:
T60, Intel Core 2 Duo, ATI Mobility Radeon x1300 (happens with both open- and closed-source drivers), Atheros wireless card (happens with both madwifi and ath5k drivers)

Jamin W. Collins (jcollins) wrote :

I would recommend against discounting the wireless as a factor. While it has been reported with both the Atheros and Intel chipsets, I've yet to see a report without wireless in use. In fact, since I've started exclusively using a wired connection for my work (wireless simply can't transfer the data volume I need) I haven't experienced any lockups. As far as I can tell, wireless use is actually required to replicate this issue.

Thiago Teixeira (tvst) wrote :

You are right. My (poorly expressed) point was that the drivers themselves don't seem to be the source of the problem. It could be that the problem lies on a common wireless codebase outside the hardware-specific modules.

At this point I will try to verify that I get no lockups when using Ethernet. Of course, this will take at least a few days.

Then, since I'm planning on a clean install when 9.10 comes out, I will see if a clean-install (or the new kernel) fix this problem. This will take even longer :-/

Anyone who can, please try these and report the result here. If you have any other ideas on what to test, post here and I will test on my machine if possible.

Julius Thor (joolli) wrote :

Ever since I started using ath5k I've stopped getting the lockups. Everytime i started using the ath_pci I got lockups. I used ath_pci because ath5k wouldn't even associate to APs in a noisy environment. That is, where there were a lot of wireless networks around. Ath5k is getting better though. I used to get lockups on ath5k but a lot less frequent so maybe you could try a more recent version. The last couple of months I did not get any lockups with ath5k and I haven't had any lockups on Karmic either and the Karmic ath5k seems to keep a more stable connection as well.

I'm on a IBM Thinkpad T60 with a ATI Radeon Mobility X1400 and Atheros AR5212.

I use the open source driver for the ATI video controller.

Julius Thor (joolli) wrote :

"...and the Karmic ath5k seems to keep a more stable connection as well."

What I mean by that is that it keeps a more stable connection than _before_.

Josh Hayden (josh-hayden) wrote :

Just another "me too" post. I'm running Jaunty on my z60t. The ath5k driver did not work at all for me, so I have been using ath_pci since upgrading to Jaunty. Hopefully this is resolved with the new release in a few days...

James Ward (jamesward) wrote :

I'm no longer seeing this bug on the latest karmic.

Victor (psycovic) wrote :

I'm seeing this in karmic again with ath_pci. ath5k doesn't seem to work with my Atheros 5212 (nm-applet just sits there saying device not ready). Anyone else seeing this?

T McCool (tjmcwiz) wrote :

I'm having the same problem with Karmic using 2.6.31-17-generic.

I have a T61i with the Atheros wireless (AR5212) chip set using the madwifi drivers ath_pci and ath_hal with wicd since I couldn't get the ath5k driver with NetManager to work with Karmic. It will not recognize my internal wireless card even though this same configuration worked perfectly in Jaunty.

The problem only occurs when connected using wireless. I can be on for days without an issue with a wired connection. No apparent information in the logs outside of the following:

Feb 3 04:37:46 moerder kernel: [30361.430122] rix 1542 (0) bad ratekbps 0 mode 1
Feb 3 04:37:46 moerder kernel: [30361.430131] rix 1542 (0) bad ratekbps 0 mode 1
Feb 3 04:37:46 moerder kernel: [30361.430137] rix 1542 (0) bad ratekbps 0 mode 1
Feb 3 06:42:10 moerder kernel: [37824.587165] rix 2056 (0) bad ratekbps 0 mode 1
Feb 3 06:42:10 moerder kernel: [37824.587174] rix 2056 (0) bad ratekbps 0 mode 1
Feb 3 06:42:10 moerder kernel: [37824.587179] rix 2056 (0) bad ratekbps 0 mode 1

The T61i is not responsive (locked up) with the blinking caps light.

I'm tempted to try the ath5k driver again but don't know if that will really correct the situation.

modinfo ath_pci
filename: /lib/modules/2.6.31-17-generic/net/ath_pci.ko
license: Dual BSD/GPL
version: svn r4117 (branch madwifi-0.9.4)
description: Support for Atheros 802.11 wireless LAN cards.

odinfo ath5k
filename: /lib/modules/2.6.31-17-generic/updates/cw/ath5k.ko
version: 0.6.0 (EXPERIMENTAL)
license: Dual BSD/GPL
description: Support for 5xxx series of Atheros 802.11 wireless LAN cards.
author: Nick Kossifidis

Jamin W. Collins (jcollins) wrote :

A while back I completely reinstalled my T61p with 9.10 (amd64 desktop). I've since upgraded my kernel to the generic variant found here:

http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.32.3/

There are a few newer versions. but I haven't tried them yet. At this time, my wireless is working extremely well. Before, not only would I get the intermittent lockups on the wireless, but I'd also get periodic stalls/pauses where no network traffic was passing at all. With the kernel from the link above, the system has been solid so far.

$ uname -a
Linux odin 2.6.32-02063203-generic #02063203 SMP Thu Jan 7 10:09:47 UTC 2010 x86_64 GNU/Linux

$ lsmod | grep ath
ath5k 131823 0
mac80211 192720 1 ath5k
ath 10419 1 ath5k
cfg80211 142828 3 ath5k,mac80211,ath
led_class 3666 3 ath5k,thinkpad_acpi,sdhci

Victor (psycovic) wrote :

T McCool:

I switched to 2.6.32 and I haven't had a panic using ath_pci in a while, though every time I suspend, I have to manually unload and reload the module.

Jamie:
Did you ever have the problem with ath5k/nm-applet not seeing your network card?

Jamin W. Collins (jcollins) wrote :

@Victor,
Nope, no problems with the system seeing my wireless card. In fact with the 2.6.32 kernel, all of my wireless issues appear to be resolved.

Victor (psycovic) wrote :

D'oh, had a kernel panic. This was with mad_wifi (because ath5k can't see my wireless card at all) with 2.6.32. Ugh.

Jamin W. Collins (jcollins) wrote :

@Victor,

You certain that ath5k can't see your card? It sees mine just fine and looks like I have the same model you do.

$ lspci | grep Atheros
03:00.0 Ethernet controller: Atheros Communications Inc. AR5212 802.11abg NIC (rev 01)

Victor (psycovic) wrote :

@Jamin

Yes, even when I boot up with the LiveCD, nm-applet just says "device not ready".

Jamin W. Collins (jcollins) wrote :

@Victor

The LiveCD is going to be using an older kernel. Could you post the output of the following commands:

$ lspci -nnk | grep -A2 Atheros
$ uname -a

Here's the output from my system:

$ lspci -nnk | grep -A2 Atheros
03:00.0 Ethernet controller [0200]: Atheros Communications Inc. AR5212 802.11abg NIC [168c:1014] (rev 01)
 Kernel driver in use: ath5k
 Kernel modules: ath5k
$ uname -a
Linux odin 2.6.32-02063203-generic #02063203 SMP Thu Jan 7 10:09:47 UTC 2010 x86_64 GNU/Linux

Victor (psycovic) wrote :

03:00.0 Ethernet controller [0200]: Atheros Communications Inc. AR5212 802.11abg NIC [168c:1014] (rev 01)
        Kernel driver in use: ath_pci
        Kernel modules: ath_pci, ath5k

Linux space 2.6.32-020632-generic #020632 SMP Thu Dec 3 10:58:45 UTC 2009 i686 GNU/Linux

however, whenever I modprobe ath5k, nm-applet doesn't respond. This happened even after a clean install with 9.10 with updated kernels.

Jamin W. Collins (jcollins) wrote :

Only difference I note from that is that you're running the 32-bit kernel. Any chance you could give 64-bit a shot?

Just out of curiosity, here's the first few lines from modinfo on the module I'm using:

$ modinfo ath5k
filename: /lib/modules/2.6.32-02063203-generic/kernel/drivers/net/wireless/ath/ath5k/ath5k.ko
version: 0.6.0 (EXPERIMENTAL)
license: Dual BSD/GPL
description: Support for 5xxx series of Atheros 802.11 wireless LAN cards.
author: Nick Kossifidis
author: Jiri Slaby
srcversion: 4ADD98F13F26521B1FE72FB

Also, I don't even have the ath_pci module on my system. I may be that once the module has been loaded against the hardware a full power cycle is needed to properly reset it (pure speculation on my part).

Jamin W. Collins (jcollins) wrote :

Also just noticed that your specif kernel version appears to be different... It's missing the "03" from the end. Might be worth installing the same specific version.

The same bug on my new Thinkpad W500. The system randomly freezes and the "/A\" under the screen is blinking.
I am running Karmic: Linux *** 2.6.31-19-generic #56-Ubuntu SMP Thu Jan 28 02:39:34 UTC 2010 x86_64 GNU/Linux
Just want to note that this may not be a nvidia problem or athenos problem because W500 uses ATI FireGL Mobility V5700 and Intel 5100 AGN Wireless card.
Also I'm using fglrx driver for FireGL VL5700 (which seems more stable than the Radeon 3650 driver).

Jamin W. Collins (jcollins) wrote :

@creatorlarryli
Could you try the newer kernel with your system?

I just moved up to the newest version I've found here (parent directory of the previous link from comment #90):

http://kernel.ubuntu.com/~kernel-ppa/mainline

Which was v2.6.32.7, but looks like they posted a new one this morning.

$ uname -a
Linux odin 2.6.32-02063207-generic #02063207 SMP Fri Jan 29 10:09:41 UTC 2010 x86_64 GNU/Linux

I'm still running without issue here, and doing so purely over wireless now.

T McCool (tjmcwiz) wrote :

Just an update

I made the necessary changes to move from the madwifi drivers (ath_hal & ath_pck) to the backport version of ath5k on a lenovo R61i. I'm testing it with WICD and it appears to be working. The WICD GUI isn't functioning completely correctly because of what appears to be some issues with the ath5k driver once it connects to an AP. One sympton is the GUI will not update the available wireless networks available and their signal strengths. I've confimed that with the iwlist wlan0 scan command which comes back with: wlan0 Failed to read scan data : Resource temporarily unavailable.

Some background information:

2.6.31-19-generic #56-Ubuntu

/code modinfo ath5k
filename: /lib/modules/2.6.31-19-generic/updates/cw/ath5k.ko
version: 0.6.0 (EXPERIMENTAL)
license: Dual BSD/GPL
description: Support for 5xxx series of Atheros 802.11 wireless LAN cards.
author: Nick Kossifidis
author: Jiri Slaby
srcversion: A397F3354A25FCEF4EB95DF
depends: mac80211,led-class,cfg80211,ath
vermagic: 2.6.31-19-generic SMP mod_unload modversions 586
parm: nohwcrypt:Disable hardware encryption. (bool)
parm: all_channels:Expose all channels the device can use. (bool) /code

/code lsmod | grep ath
ath5k 121988 0
mac80211 210572 1 ath5k
ath 8444 1 ath5k
cfg80211 130632 3 ath5k,mac80211,ath
led_class 4096 3 ath5k,sdhci,thinkpad_acpi /code

/code *-network
       description: Wireless interface
       product: AR5212 802.11abg NIC
       vendor: Atheros Communications Inc.
       physical id: 0
       bus info: pci@0000:03:00.0
       logical name: wlan0
       version: 01
       serial: 00:22:68:90:a2:d0
       width: 64 bits
       clock: 33MHz
       capabilities: bus_master cap_list ethernet physical wireless
       configuration: broadcast=yes driver=ath5k ip=192.168.1.136 latency=0 mult /code

I'll run it for a few days to see if I spot any additional anomalies with the combination or if it causes a panic.

T McCool (tjmcwiz) wrote :

Update on comment 102:

After connecting to an AP -- ath5k doesn't appear to scan afterwards -- so if you disconnect from the AP you need to reload the module (ath5k) modprobe -r ath5k modprobe ath5k. This is likely related to some other threads related to the stability of the connection with ath5k.....

ashka (sambaba40bh) wrote :

I have got the bug on Dell Studio 1735.

I have just apt-get upgrade, when firefox has closed, and 30s later the caps lock flashed.

I searching log now.

ashka (sambaba40bh) wrote :

After looking, it's were a coincidence for me. I have the same chipset, but the problem appeared after a upgrade.

Feb 15 21:17:22 ashka-laptop kernel: [80367.085326] vboxdrv: fAsync=0 offMin=0x1c2 offMax=0x7f8
Feb 15 21:17:22 ashka-laptop kernel: [80367.085369] vboxdrv: TSC mode is 'synchronous', kernel timer mode is 'normal'.
and Kernel panic!

Victor (psycovic) wrote :

@Jamin

Switching kernels still didn't work. Very strange...

@Jamin W. Collins
I did what you said and it has been working well so far. In fact the freeze was rare even before I switched the kernel. It used to happen like once in a month so I don't know whether your resolution is really working. Thanks all the same.

Troex Nevelin (troex) wrote :

Random kernel panics with ThinkPad X60 also, I'm using Atheros AR5212 wireless all the time, tried ath_pci and ath5k drivers and still no progress. What I can say that wireless chip becomes very hot when panic occurs. Using different kernels does not help. I tried to leave notebook in console mode with root logged in, but when KP occurred no output where on the screen, just flashing caps lock.

I have also Intel 3945abg wireless, and will test it after next kernel panic (usual 1hour-1day).

03:00.0 Ethernet controller: Atheros Communications Inc. AR5212 802.11abg NIC (rev 01)
 Subsystem: IBM Device 058a
 Flags: bus master, fast devsel, latency 0, IRQ 17
 Memory at edf00000 (64-bit, non-prefetchable) [size=64K]
 Capabilities: [40] Power Management version 2
 Capabilities: [50] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
 Capabilities: [60] Express Legacy Endpoint, MSI 00
 Capabilities: [90] MSI-X: Enable- Mask- TabSize=1
 Capabilities: [100] Advanced Error Reporting <?>
 Capabilities: [140] Virtual Channel <?>
 Kernel driver in use: ath_pci
 Kernel modules: ath_pci, ath5k

Ubuntu 9.10

Jamin W. Collins (jcollins) wrote :

Seems I spoke too soon. Things were looking very good, but experienced a lockup yesterday under the new kernel. They seem to be far less frequent now. Before they were so frequent that I'd taken to completely avoiding wireless use unless I was traveling.

Troex Nevelin (troex) wrote :

As I wrote in my post #108 before I've been having kernel panics. About a month ago I replaced Atheros card with:
03:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02)
since that time I haven't got any hardlocks or panics.

So in my case I can 100% CONFIRM that the problem is in Atheros card and/or it's drivers witch causes panics.

Victor (psycovic) wrote :

This seems to have reappeared in Lucid. Things were going okay with .31, but then I upgraded and now it's locking up every 5 days or so.

I have a IBM T41 and can add some info regarding this issue:

The lock-up started for me when I got a new network disk-station.
On the old I have used NFS file system, but my new do not support NFS so I chose CIFS...

Now..:
If I mount that CIFS though Fstab or just browse the disk station though network places.
My system will at some point after freez and the caps lock indicator is flashing...!!!
This happens also if I unmount the CIFS mount again...

But if I boot and do not fstab or browse to my network share at all. The system will work for days..

I have always used wireless connection on the last 3 Ubuntu distibutions.
And have newer seen this issue before Ubuntu 10.4 and when using CIFS....

I hope some find this helpfully during trouble shouting and maybe some of the writers above have used a CIFS mount though network as well....

I'm using a Thinkpad T61p.
I have never had this problem, but since installing lynx 10.04 I crash daily (multiple times). 95% of the times its when i'm not looking and I'll come back to a blinking caps lock and frozen system.
Until I ran into this thread I thought this is Chrome related, since Chrome is always open when this happens. Furthermore, if I turn on synchronization in chrome to sync bookmarks etc., I'll get the crash within seconds to chrome starting - always. If I turn sync off, its sporadic and unpredictable.
I've been on Ubuntu since 5.04 without a problem and this one is just doing my head in... I am seriously considering a rollback to 9.10...

Update - I crash even chrome is not running (nightly download of torrents, firefox etc.) so I guess this is wifi related in my case as well....

magnus (magnusanderssen) wrote :

since upgrade to 10.04 (from 9.10 and every 6 months since 8.04 I believe) I have the same issue on my thinkpad x31.

The funny thing is that the freezes occurs more frequently on some users login in!

With a new user, I hardly happens and on my mostly used user, it is really frequent!

Jamin W. Collins (jcollins) wrote :

Near as I was able to figure out (prior to 10.04) the issue appeared to center around wireless usage. The more wireless usage a user had the more likely they were to trigger the bug/issue.

However, that being said, since my upgrade to 10.04 my hardlocks have been replaced with random reboots. This is somewhat good as there is a kernel crashdump when this happens. However, at this time I'm unable to retrace the issue myself as apport-retrace bails with an index out of range error and reporting the crash via the notification applet fails with an HTTP 500 error.

Jamin W. Collins (jcollins) wrote :

Looks like bug #593650 may be related to this this. I've install linux-crashdump and managed to build a debug version of the kernel and slightly modify apport-retrace so that it can actually retrace the provided crashdump file. If anyone would like detailed instructions of what I've done I'll be happy to provide them.

Smalbenet (nicklasholmstrom) wrote :

I've got this bug too on my 1 year old laptop. Acer aspire 5740G.
Follow version I've tried, all affected:
Ubuntu 10.04
Ubuntu 10.10
Ubuntu 11.04 Beta 2

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: Triaged → Won't Fix
Displaying first 40 and last 40 comments. View all 119 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers